Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#59 Build the pluging from sources fails

Version 1.x
closed-fixed
None
5
2014-07-23
2014-06-18
Stefano Oliveri
No

Hi,

I'm trying to build the GNU ARM Eclipse plugins (version 2.2.1) from the source. I have cloned the master branch GIT repository. My development environment is:

  • Eclipse Kepler RCP SR2
  • CDT-SDK 8.3.0

The build fails with the following error:
- Project build error: Unknown packaging: eclipse-feature
- Error resolving version for plugin 'org.apache.maven.plugins:maven-site-plugin' from the repositories [local (/Users/stefano/.m2/repository), central (http://repo.maven.apache.org/maven2)]: Plugin not found in any plugin repository

Could someone help me to setup my dev env in order to be able to build the plugins?

Regards,
Stefano

Discussion

  • Hello Stefano,

    I checked the wiki pages explaining how to build from sources, and they are pretty old :-(

    I don't know what is missing in your configuration, normally maven brings all required components for the build.

    Can you provide more details on the procedure you used?

     
    • status: open --> accepted
    • assigned_to: Liviu Ionescu (ilg)
     
  • Hi Liviu,

    thanks for your reply.

    I'm new to Maven/Tycho. Until now I used the PDE build system.

    This was the useful sentence: "normally maven brings all required components for the build". I made two steps, but I'm not sure that both are required:
    1. I installed apache-maven-3.2.1 and I configured Eclipse to use that installation (Preferences > Maven > Installation). Is this a needed step? Does Eclipse provide its own installation?
    2. I created an user setting file for Maven (settings.xml) in order to configure the proxy. It seems that Maven is not able to use the workspace network settings.

    Now, what I would like to do is to extend the stm template in order to create a ready to use FreeRTOS project. Any suggestion is welcome.

    Regards,
    Stefano

     
    Last edit: Stefano Oliveri 2014-06-25
  • I currently use the maven subset that comes with Eclipse, it should be enough for building the plug-ins.

    for proxy setting and other such brain damaged configurations, please refer to the appropriate documentation.

    regarding the templates, you can try to create a new template, but this route is very difficult.

    I'm working on a different approach, using separate packages, that can be created by users, to be used by a generic engine able to create new projects and later manage projects based on them, but it'll take a while until it will be available.

    if you are interested on the preliminary specs, you can read them at: http://xcdl.livius.net/wiki

     
  • I just fixed a problem with the git repository, HEAD was pointing to a wrong branch, now it must be up-to-date.

    could you give it another try?

     
  • Hi,

    I have cloned the the git repo with success. Is there something particular to check?

    Regards,
    Stefano

     
  • are you in the stable branch? do you see a .packs folder?

     
  • Yes, I'm in the stable branch there is the ilg.gnuarmeclipse.packs folder. Following is the output of the ls -a command

    Leonardo:gnuarmeclipse-se stefano$ ls -a
    .
    ..
    .git
    .gitignore
    .project
    .settings
    ilg.gnuarmeclipse-repository
    ilg.gnuarmeclipse.debug.gdbjtag.jlink
    ilg.gnuarmeclipse.debug.gdbjtag.jlink-feature
    ilg.gnuarmeclipse.debug.gdbjtag.openocd
    ilg.gnuarmeclipse.debug.gdbjtag.openocd-feature
    ilg.gnuarmeclipse.debug.gdbjtag.restart
    ilg.gnuarmeclipse.managedbuild.cross
    ilg.gnuarmeclipse.managedbuild.cross-feature
    ilg.gnuarmeclipse.packs
    ilg.gnuarmeclipse.packs-feature
    ilg.gnuarmeclipse.templates.core
    ilg.gnuarmeclipse.templates.cortexm
    ilg.gnuarmeclipse.templates.cortexm-feature
    ilg.gnuarmeclipse.templates.freescale
    ilg.gnuarmeclipse.templates.freescale-feature
    ilg.gnuarmeclipse.templates.freescale.pe
    ilg.gnuarmeclipse.templates.stm
    ilg.gnuarmeclipse.templates.stm-feature
    info
    pom.xml
    scripts

    Regards,
    Stefano

     
  • I updated the wiki pages documenting how to build the plug-ins.

    Could you give it a try and let me know if the content is accurate?

     
  • Hi,

    I have build the plugins in a new workspace following the updated instruction: Build prerequisites and How to build. Very clear and simple. thanks a lot.

    But the very good news is the Packs support. :-)

    Regards,
    Stefano

     
  • any further suggestions? if not, can we close this ticket?

     
  • you can close the ticket for me.
    Thanks for your support.

    Only one note: in the documentation pages you use Eclipse Luna as reference. A project working with Eclipse Kepler doesn't work with Luna for me. It builds with success but the debug session doesn't work. I use:
    - Nucleo-F410RE board
    - OpenOCD 0.8.0
    - GNU ARM Toolset 4.8-2014q2

    Regards,
    Stefano

     
  • A project working with Eclipse Kepler doesn't work with Luna for me. It builds with success but the debug session doesn't work.

    please read the existing bugs & support items and, if not found there, open a new ticket.

     
    • status: accepted --> closed-fixed